%global _missing_build_ids_terminate_build 0
%global debug_package %{nil}
%define cli_binname virtctl

Name:           kubevirt
Version:        1.5.2
Release:        1%{?dist}
Summary:        Kubernetes Virtualization API and runtime in order to define and manage virtual machines

License:        Apache-2.0
URL:            https://github.com/%{name}/%{name}
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  golang >= 1.23

Recommends:     %{name}-cli = %{version}-%{release}

%description
At its core, KubeVirt extends Kubernetes by adding additional virtualization resource types (especially the VM type) through Kubernetes's Custom Resource Definitions API. By using this mechanism, the Kubernetes API can be used to manage these VM resources alongside all other resources Kubernetes provides.


%package cli
Summary:        Virtctl CLI tool
# require same version for kubevirt
Provides:       %{cli_binname} = %{version}
Conflicts:      %{name} < %{version}-%{release}
Conflicts:      %{name} > %{version}-%{release}


%description cli
At its core, KubeVirt extends Kubernetes by adding additional virtualization resource types (especially the VM type) through Kubernetes's Custom Resource Definitions API. By using this mechanism, the Kubernetes API can be used to manage these VM resources alongside all other resources Kubernetes provides.


%prep
%autosetup


%build
go build cmd/virtctl/virtctl.go

mkdir completion
./%{cli_binname} completion bash > completion/%{cli_binname}
./%{cli_binname} completion zsh > completion/_%{cli_binname}
./%{cli_binname} completion fish > completion/%{cli_binname}.fish


%install
install -Dpm 755 %{cli_binname} -t %{buildroot}%{_bindir}
install -Dpm 644 completion/%{cli_binname} -t %{buildroot}%{_datadir}/bash-completion/completions/
install -Dpm 644 completion/_%{cli_binname} -t %{buildroot}%{_datadir}/zsh/site-functions/
install -Dpm 644 completion/%{cli_binname}.fish -t %{buildroot}%{_datadir}/fish/vendor_completions.d/


%files cli
%license LICENSE
%doc *.md
%{_bindir}/%{cli_binname}
%{_datadir}/bash-completion/completions/%{cli_binname}
%{_datadir}/zsh/site-functions/_%{cli_binname}
%{_datadir}/fish/vendor_completions.d/%{cli_binname}.fish


%changelog
* Thu Jun 12 2025 Matyáš Kroupa <kroupa.matyas@gmail.com>
- Initial version
